%define upstream_name    Dist-Zilla-Plugin-ReportVersions
%define upstream_version 1.102460

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Write a test that reports used module versions
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Dist::Zilla::Plugin::InlineFiles)
BuildRequires: perl(English)
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Temp)
BuildRequires: perl(Moose)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::More) >= 0.940.0

BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}

%description
This is an extension of the Dist::Zilla::Plugin::InlineFiles manpage,
providing the following files

  t/000-report-versions.t

The '000' prefix is chosen so it runs first to make sure it shows up in
CPAN tester reports.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
rm -rf %buildroot
%makeinstall_std

%clean
rm -rf %buildroot

%files
%defattr(-,root,root)
%doc Changes LICENSE META.yml META.json README
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Mon Apr 18 2011 Funda Wang <fwang@mandriva.org> 1.102.460-2mdv2011.0
+ Revision: 655596
- rebuild for updated spec-helper

* Sat Sep 04 2010 Jérôme Quelin <jquelin@mandriva.org> 1.102.460-1mdv2011.0
+ Revision: 575735
- update to 1.102460

* Fri Jul 16 2010 Jérôme Quelin <jquelin@mandriva.org> 1.101.700-1mdv2011.0
+ Revision: 553995
- adding minimum version in buildrequires:
- update to 1.101700

* Tue Mar 30 2010 Jérôme Quelin <jquelin@mandriva.org> 1.100.880-1mdv2010.1
+ Revision: 529779
- update to 1.100880

* Mon Mar 29 2010 Jérôme Quelin <jquelin@mandriva.org> 1.100.860-1mdv2010.1
+ Revision: 528820
- import perl-Dist-Zilla-Plugin-ReportVersions


* Mon Mar 29 2010 cpan2dist 1.100860-1mdv
- initial mdv release, generated with cpan2dist
